import { DefaultTripletexInputs } from "../../types";
import { TripletexBase } from "../base";
export interface ListContactsInput extends DefaultTripletexInputs {
    /**
     * List of IDs
     */
    id?: string[];
    /**
     * Containing
     */
    firstName?: string;
    /**
     * Containing
     */
    lastName?: string;
    /**
     * Containing
     */
    email?: string;
    /**
     * List of IDs
     */
    customerId?: string;
    /**
     * List of IDs
     */
    departmentId?: string;
    /**
     * From index
     */
    includeContacts?: boolean;
    /**
     * List of IDs
     */
    deploymentId?: string[];
    /**
     * Number of elements to return
     */
    count: number;
    /**
     * Sorting pattern
     */
    sorting: string;
    /**
     * Fields filter pattern
     */
    fields: string;
}
export declare class TripletexContact extends TripletexBase {
    list(input?: ListContactsInput): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            id: number;
            url: string;
            firstName: string;
            lastName: string;
            customer: {
                id: number;
                url: string;
            } | null;
            department: {
                id: number;
                url: string;
            } | null;
            displayName?: string | null | undefined;
            isInactive?: boolean | null | undefined;
            version?: number | null | undefined;
            email?: string | null | undefined;
            phoneNumberMobileCountry?: {
                id: number;
            } | null | undefined;
            phoneNumberMobile?: string | null | undefined;
            phoneNumberWork?: string | null | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
}
