import * as rt from 'runtypes';
declare const contactRt: rt.Record<{
    id: rt.Number;
    version: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    url: rt.String;
    firstName: rt.String;
    lastName: rt.String;
    displayName: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    email: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    phoneNumberMobileCountry: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    phoneNumberMobile: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    phoneNumberWork: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    customer: rt.Union<[rt.Record<{
        id: rt.Number;
        url: rt.String;
    }, false>, rt.Literal<null>]>;
    department: rt.Union<[rt.Record<{
        id: rt.Number;
        url: rt.String;
    }, false>, rt.Literal<null>]>;
    isInactive: rt.Optional<rt.Union<[rt.Boolean, rt.Literal<null>]>>;
}, false>;
export type Contact = rt.Static<typeof contactRt>;
export declare const listContactsResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        id: number;
        url: string;
        firstName: string;
        lastName: string;
        customer: {
            id: number;
            url: string;
        } | null;
        department: {
            id: number;
            url: string;
        } | null;
        displayName?: string | null | undefined;
        isInactive?: boolean | null | undefined;
        version?: number | null | undefined;
        email?: string | null | undefined;
        phoneNumberMobileCountry?: {
            id: number;
        } | null | undefined;
        phoneNumberMobile?: string | null | undefined;
        phoneNumberWork?: string | null | undefined;
    }>, true>;
}, false, true>;
export {};
